{% extends 'base.html.twig' %}

{% block title %}Post index{% endblock %}

{% block body %}
    <h1 class="mx-auto text-center">Blog</h1>
    <div class="card mx-auto" style="width: 48rem">
        <div class="card-body">
            <h5 class="card-title">{{ post.title }}</h5>
            <div class="card-text">
                {{ post.decription | raw }}
            </div>
        </div>
        <div class="card-body">

            <a href="{{ path('post_download_file', { 'id': post.id } ) }}">
                <button type="button" class="btn btn-primary">Download</button>
            </a>
            <a href="{{ path('post_edit', {'id': post.id}) }}" class="card-link">
                <button type="button" class="btn btn-secondary">Edit</button>
            </a>
        </div>
    </div>
    </a>
{% endblock %}